// **********************************************************************
//
// Copyright (c) 2003-2010 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************

#ifndef HELLO_I_H
#define HELLO_I_H

#include <Hello.h>

#include "CallQueue.h"

class HelloI : public Demo::Hello
{
public:
    HelloI(CallQueuePtr queue):queue(queue){};
    virtual void sayHello(const Ice::Current&);
    virtual void sayHello_async(const Demo::AMD_Hello_sayHelloPtr&, const Ice::Current&);

private:
    CallQueuePtr queue;
};

#endif
